Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11
Class BC4JRequestProcessor

`java.lang.Object
org.apache.struts.action.RequestProcessor
oracle.jbo.html.struts11.BC4JRequestProcessor`

public class BC4JRequestProcessor
extends org.apache.struts.action.RequestProcessor

BC4JRequestProcessor is a customization of Struts1.1 request processing behavior. It override several methods to provide integration with the BC4J Model.

Since:
  JDeveloper 9.0.3

Field Summary

Fields inherited from class org.apache.struts.action.RequestProcessor
`actions, appConfig, INCLUDE_PATH_INFO, INCLUDE_SERVLET_PATH, log, moduleConfig, servlet`

Constructor Summary
`BC4JRequestProcessor()`

Method Summary
`protected java.lang.String` | `buildApplicationDefinitionName(java.lang.String appId)` Build the application full name as the pool manager expect it.
`protected boolean` | `getApplicationLockingMode()` Return the locking mode for the applicationModule The lock specify whether a session lock should be acquired for the shared application module resource.
`protected boolean` | `initPageFromPath(BC4JActionMapping mapping, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Execute the BC4J model initialization.
`protected void` | `processContent(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Override Set the request character encoding using the controller contentType This allow the parameters to be decoded correctly in the action since the encoding from the JSP has not been processed yet.
`protected boolean` | `processForward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.action.ActionMapping mapping)` Override the forward process to lock/release the ApplicationModule.
`protected void` | `processForwardConfig(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.config.ForwardConfig forward)` Override
`protected boolean` | `processInclude(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.action.ActionMapping mapping)`
`protected org.apache.struts.action.ActionMapping` | `processMapping(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)` Override Create the BC4J context when the mapping is processed.
`protected javax.servlet.http.HttpServletRequest` | `processMultipart(javax.servlet.http.HttpServletRequest request)` If this is a multipart request, wrap it with a special wrapper.
`protected void` | `processPopulate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.action.ActionForm form, org.apache.struts.action.ActionMapping mapping)` Populate the properties of the specified ActionForm instance from the request parameters included with this request.
`protected void` | `processPostForward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `releasePageResources(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.apache.struts.action.RequestProcessor
`destroy, doForward, doInclude, getDebug, getInternal, getServletContext, init, internalModuleRelativeForward, internalModuleRelativeInclude, log, log, process, processActionCreate, processActionForm, processActionForward, processActionPerform, processException, processLocale, processNoCache, processPath, processPreprocess, processRoles, processValidate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BC4JRequestProcessor

    public BC4JRequestProcessor()

Method Detail

### processForward

    protected boolean processForward(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     org.apache.struts.action.ActionMapping mapping)
                              throws java.io.IOException,
                                     javax.servlet.ServletException

  Override the forward process to lock/release the ApplicationModule. Simply wrap the base processForward method with the page init and page release code. Return `true` if standard processing should continue, or `false` if we have already handled this request.
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
    `mapping` - The ActionMapping we are using
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processInclude

    protected boolean processInclude(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response,
                                     org.apache.struts.action.ActionMapping mapping)
                              throws java.io.IOException,
                                     javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processForwardConfig

    protected void processForwardConfig(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response,
                                        org.apache.struts.config.ForwardConfig forward)
                                 throws java.io.IOException,
                                        javax.servlet.ServletException

  Override
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### processMapping

    protected org.apache.struts.action.ActionMapping processMapping(javax.servlet.http.HttpServletRequest request,
                                                                    javax.servlet.http.HttpServletResponse response,
                                                                    java.lang.String path)
                                                             throws java.io.IOException

  Override Create the BC4J context when the mapping is processed. Some of the context information may come from the mapping.
  Throws:
    `java.io.IOException`

### processContent

    protected void processContent(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)

  Override Set the request character encoding using the controller contentType This allow the parameters to be decoded correctly in the action since the encoding from the JSP has not been processed yet.

### processPostForward

    protected void processPostForward(javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response)

### buildApplicationDefinitionName

    protected java.lang.String buildApplicationDefinitionName(java.lang.String appId)

  Build the application full name as the pool manager expect it. Format is: "Client Data Model file name"."BC4J application module name"

### getApplicationLockingMode

    protected boolean getApplicationLockingMode()

  Return the locking mode for the applicationModule The lock specify whether a session lock should be acquired for the shared application module resource. The locking mode is store in the web.xml

### initPageFromPath

    protected boolean initPageFromPath(BC4JActionMapping mapping,
                                       javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)

  Execute the BC4J model initialization.

### releasePageResources

    protected void releasePageResources(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)

### processMultipart

    protected javax.servlet.http.HttpServletRequest processMultipart(javax.servlet.http.HttpServletRequest request)

  If this is a multipart request, wrap it with a special wrapper. Parse the multipart request using `MultipartRequestHandler`. Otherwise, return the request unchanged.
  Parameters:
    `request` - The HttpServletRequest we are processing

### processPopulate

    protected void processPopulate(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   org.apache.struts.action.ActionForm form,
                                   org.apache.struts.action.ActionMapping mapping)
                            throws javax.servlet.ServletException

  Populate the properties of the specified ActionForm instance from the request parameters included with this request.
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
    `form` - The ActionForm instance we are populating
    `mapping` - The ActionMapping we are using
  Throws:
    `javax.servlet.ServletException` - if thrown by RequestUtils.populate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.